# Class DefaultServlet.SortManager.Order

java.lang.Object
org.apache.catalina.servlets.DefaultServlet.SortManager.Order

Enclosing class:
  `DefaultServlet.SortManager`

public static class DefaultServlet.SortManager.Order extends Object

Author:
  Craig R. McClanahan, Remy Maucherat

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DefaultServlet.SortManager.Order`
  `DEFAULT`
  `static final DefaultServlet.SortManager.Order`
  `LAST_MODIFIED`
  `static final DefaultServlet.SortManager.Order`
  `LAST_MODIFIED_ASC`
  `static final DefaultServlet.SortManager.Order`
  `NAME`
  `static final DefaultServlet.SortManager.Order`
  `NAME_ASC`
  `static final DefaultServlet.SortManager.Order`
  `SIZE`
  `static final DefaultServlet.SortManager.Order`
  `SIZE_ASC`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final DefaultServlet.SortManager.Order NAME

  - ### NAME_ASC

    public static final DefaultServlet.SortManager.Order NAME_ASC

  - ### SIZE

    public static final DefaultServlet.SortManager.Order SIZE

  - ### SIZE_ASC

    public static final DefaultServlet.SortManager.Order SIZE_ASC

  - ### LAST_MODIFIED

    public static final DefaultServlet.SortManager.Order LAST_MODIFIED

  - ### LAST_MODIFIED_ASC

    public static final DefaultServlet.SortManager.Order LAST_MODIFIED_ASC

  - ### DEFAULT

    public static final DefaultServlet.SortManager.Order DEFAULT